org.apache.cassandra.cql3.restrictions

## Class CustomIndexExpression

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.CustomIndexExpression

-     public class CustomIndexExpression
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IndexName` | `targetIndex`
    `Term.Raw` | `valueRaw`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomIndexExpression(IndexName targetIndex, Term.Raw value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToRowFilter(RowFilter filter, CFMetaData cfm, QueryOptions options)`
    `void` | `prepareValue(CFMetaData cfm, AbstractType<?> expressionType, VariableSpecifications boundNames)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### targetIndex

          public final IndexName targetIndex

    - #### valueRaw

          public final Term.Raw valueRaw

  - ### Constructor Detail

    - #### CustomIndexExpression

          public CustomIndexExpression(IndexName targetIndex,
                                       Term.Raw value)

  - ### Method Detail

    - #### prepareValue

          public void prepareValue(CFMetaData cfm,
                                   AbstractType<?> expressionType,
                                   VariableSpecifications boundNames)

    - #### addToRowFilter

          public void addToRowFilter(RowFilter filter,
                                     CFMetaData cfm,
                                     QueryOptions options)

Copyright © 2018 The Apache Software Foundation